summaryrefslogtreecommitdiffstats
path: root/src/tests/man-executable-page-on-path
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:19:27 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:19:27 +0000
commite0023883c6d2e6745a19e4b48e186ed156c1fca8 (patch)
tree1a48b8056ec984385d0d862b683535d04d6ed215 /src/tests/man-executable-page-on-path
parentInitial commit. (diff)
downloadman-db-e0023883c6d2e6745a19e4b48e186ed156c1fca8.tar.xz
man-db-e0023883c6d2e6745a19e4b48e186ed156c1fca8.zip
Adding upstream version 2.11.2.upstream/2.11.2upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/tests/man-executable-page-on-path')
-rwxr-xr-xsrc/tests/man-executable-page-on-path23
1 files changed, 23 insertions, 0 deletions
diff --git a/src/tests/man-executable-page-on-path b/src/tests/man-executable-page-on-path
new file mode 100755
index 0000000..108e157
--- /dev/null
+++ b/src/tests/man-executable-page-on-path
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+# Test for:
+# https://bugs.debian.org/608490
+
+: "${srcdir=.}"
+# shellcheck source-path=SCRIPTDIR
+. "$srcdir/testlib.sh"
+
+: "${MAN=man}"
+
+init
+fake_config /usr/share/man
+MANPATH="$tmpdir/usr/share/man"
+export MANPATH
+
+write_page file 1 "$tmpdir/file.1" UTF-8 '' '' 'file \- test'
+chmod +x "$tmpdir/file.1"
+PATH="$PATH:$tmpdir" run $MAN \
+ -C "$tmpdir/manpath.config" "$tmpdir/file.1" >/dev/null
+report 'executable page on path' "$?"
+
+finish